View Issue Details

IDProjectCategoryView StatusLast Update
15854Bug reportsOtherpublic2021-03-08 19:36
Reportercdorin Assigned Togabrieljenik  
PrioritylowSeveritypartial_block 
Status closedResolutionfixed 
Product Version3.22.4 
Fixed in Version3.25.17 
Summary15854: Cannot open pop up editor - subquestions (an extra page refresh needed)
DescriptionCreate a question with subquestion
Add Subquestion (do not click save!)
CLick on the pop up editor associated to the new entry -> 403: Forbidden - invalid question ID

Additional InformationP.s. this error is since a while -> i was able to reproduce it on my 3.20.2 instance
TagsNo tags attached.
Complete LimeSurvey version number (& build)irrelevant
I will donate to the project if issue is resolvedNo
Browser
Database & DB-Versionirrelevant
Server OS (if known)
Webserver software & version (if known)
PHP Versionirrelevant

Activities

gabrieljenik

gabrieljenik

2021-02-18 22:43

manager   ~62381

@c_schmitz, does it makes sense to fix this?
c_schmitz

c_schmitz

2021-02-19 09:53

administrator   ~62392

Yes, it is definitely a regression.
gabrieljenik

gabrieljenik

2021-02-25 14:29

manager   ~62518

PR: https://github.com/LimeSurvey/LimeSurvey/pull/1784

For new questions qid is random. Then when sent through the URL, common action executes _addPseudoParams which performs a validation. As the new question is still not valid, 403 is gotten. So now, for new questions. we don't send the param.
DenisChenu

DenisChenu

2021-02-25 15:20

developer   ~62523

4.X dodn't have this issue

3.X action onclick : `javascript:start_popup_editor('answer_en_new70686_0','[Subquestion:](en)','912593','324','new70686','editanswer','editanswer')`

4X actoion onclik : `javascript:start_popup_editor('subquestions[new28169][0][subquestionl10n][en]','[Subquestion:](en)','0','395','','editanswer','editanswer')` (all is new here : question and subquestion)
gabrieljenik

gabrieljenik

2021-03-01 14:58

manager   ~62576

Fix committed to 3.x-LTS branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&id=31235

Related Changesets

LimeSurvey: 3.x-LTS 2a8f3659

2021-03-01 14:58:18

gabrieljenik


Committer: GitHub Details Diff
Fixed issue 15854: Cannot open pop up editor - subquestions (an extra page refresh needed) (#1784)

For new questions qid is random. Then when sent through the URL, common action executes _addPseudoParams which performs a validation. As the new question is still not valid, 403 is gotten. So now, for new questions. we don't send the param.
Affected Issues
15854
mod - application/views/admin/survey/Question/subquestionsAndAnswers/_subquestion.twig Diff File

Issue History

Date Modified Username Field Change
2020-02-12 15:00 cdorin New Issue
2020-02-12 15:01 cdorin Summary Cannot open pop up editor - subquestions => Cannot open pop up editor - subquestions (an extra page refresh needed)
2020-02-12 15:26 cdorin Assigned To => cdorin
2020-02-12 15:26 cdorin Status new => confirmed
2020-02-12 15:26 cdorin Priority none => low
2020-02-12 16:56 cdorin Assigned To cdorin =>
2021-02-18 22:43 gabrieljenik Note Added: 62381
2021-02-19 09:53 c_schmitz Note Added: 62392
2021-02-25 14:29 gabrieljenik Note Added: 62518
2021-02-25 15:20 DenisChenu Note Added: 62523
2021-03-01 14:58 gabrieljenik Changeset attached => LimeSurvey 3.x-LTS 2a8f3659
2021-03-01 14:58 gabrieljenik Note Added: 62576
2021-03-01 14:58 gabrieljenik Assigned To => gabrieljenik
2021-03-01 14:58 gabrieljenik Resolution open => fixed
2021-03-08 15:32 ollehar Status confirmed => resolved
2021-03-08 19:36 c_schmitz Fixed in Version => 3.25.17
2021-03-08 19:36 c_schmitz Status resolved => closed